#post-container {
  width: 80%;
  margin: auto;
}

.post {
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 20px;
  border: 1px solid grey;
  border-radius: 4px;
  max-width: 60em;
  overflow: hidden;
}

.post > * {
  width: 80%;
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 20px;
}

/*
 * Since we strip HTML tags from excerpts, we need to preserve the formatting
 * SOMEHOW. Making a special class of <pre> tags that keep the formatting of
 * the text without doing a lot of the other <pre> stuff works.
 */
pre.excerpt {
  font-family: inherit;
  /* From https://css-tricks.com/snippets/css/make-pre-text-wrap/ */
  white-space: pre-wrap;
  white-space: -moz-pre-wrap;
  white-space: -pre-wrap;
  white-space: -o-pre-wrap;
  word-wrap: break-word;
}

.post-body {
  padding: 0 4em 1em 4em;
  /* text-indent: 2em; */
}

.post-timestamp {
  color: #555555;
  font-style: italic;
  font-size: 10pt;
}

.post-header h3 {
  text-indent: 2em;
  background-color: #0E608F;
  padding: .5em;
  font-weight: bold;
  text-transform: uppercase;
  border-left: 1px solid #112142;
  border-right: 1px solid #112142;
  border-top: 1px solid #112142;
}

.post-header h3 a {
  color: #F0F0F0;
  text-decoration: none;
  font-family: sans-serif;
  text-transform: uppercase;
  overflow-wrap: break-word;
}

.post-header h3 a:visited {
  background: #1D4F73;
}

.post-tags > * {
  display: inline;
  font-family: monospace;
}

.post-tags ul {
  list-style: none;
}

.post-tags ul li {
  color: #555555;
  display: inline-block;
  text-align: justify;
}
